Name:			antlr-maven-plugin
Version:		2.2
Release:		%mkrel 4
Summary:		Maven plugin that generates files based on grammar file(s)
License:		ASL 2.0
URL:			http://mojo.codehaus.org/antlr-maven-plugin/
Group:			Development/Java
Source0:		http://repo1.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip
# Modern modello expects to see <models></models>, even if there is only one. 
Patch0:			maven-antlr-plugin-2.2-modello-issue.patch
# Add maven-artifact to the pom.xml, we need it to build
Patch1:			maven-antlr-plugin-2.1-artifact.patch
# siteRenderer.createSink doesn't exist anymore
Patch2:			maven-antlr-plugin-2.1-sinkfix.patch
BuildArch:		noarch
BuildRequires:		java-devel
BuildRequires:		jpackage-utils
BuildRequires:		antlr
BuildRequires:		maven
BuildRequires:		maven-compiler-plugin
BuildRequires:		maven-install-plugin
BuildRequires:		maven-jar-plugin
BuildRequires:		maven-javadoc-plugin
BuildRequires:		maven-resources-plugin
BuildRequires:		maven-surefire-plugin
BuildRequires:		maven-antrun-plugin
BuildRequires:		maven-clean-plugin
BuildRequires:		maven-invoker-plugin
BuildRequires:		maven-plugin-plugin
BuildRequires:		maven-release-plugin
BuildRequires:		maven-site-plugin
BuildRequires:		maven-source-plugin
BuildRequires:		maven-plugin-bundle
BuildRequires:		maven-plugin-cobertura
BuildRequires:		apache-commons-exec
BuildRequires:		maven2-common-poms
Requires:		antlr
Requires:       maven
Requires:		jpackage-utils
Requires:		java >= 0:1.6.0
Requires(post):		jpackage-utils
Requires(postun):	jpackage-utils
Provides:		maven2-plugin-antlr = %{version}-%{release}
Obsoletes:		maven2-plugin-antlr <= 2.0.8

%description
The Antlr Plugin has two goals:
- antlr:generate Generates file(s) to a target directory based on grammar 
  file(s).
- antlr:html Generates Antlr report for grammar file(s).

%package javadoc
Summary:		Javadocs for %{name}
Group:			Development/Java
Requires:		jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q 
%patch0 -p1 -b .modello
%patch1 -p1 -b .artifact
%patch2 -p1 -b .sink

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
mvn-rpmbuild -Dmaven.test.skip=true \
install javadoc:javadoc

%install
mkdir -p %{buildroot}%{_javadir}

cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/ %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP %{name}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}



%changelog

* Wed Aug 03 2011 gil <gil> 2.2-4.mga2
+ Revision: 131471
- rebuilt with new JP macro

* Wed Apr 27 2011 dmorgan <dmorgan> 2.2-3.mga1
+ Revision: 92221
- Rebuild after bootstrapping
- imported package antlr-maven-plugin


* Wed Mar 9 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2-2
- Build with maven 3.
- Use upstream sources.
- Adapt to current guidelines.

* Mon Mar  3 2011 Tom Callaway <spot@fedoraproject.org> 2.2-1.20110307svn13719
- update to 2.2 tag

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4.20101012svn12849
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-3.20101012svn12849
- fix provides/obsoletes to replace old (dead) package
- don't own mavendepmapfragdir, just the files inside it
- don't set buildarch on javadoc (entire package is noarch already)

* Wed Oct 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-2.20101012svn12849
- add post/postun
- fix pom filename
- svn export
- comment patchset
- provides for maven-antlr-plugin
- drop unnecessary symlinks
- use maven macros

* Tue Oct 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-1.20101012svn12849
- initial package
